fsg_pnode_s Struct Reference

## Data Fields

union { |
struct fsg_pnode_s * succ |
fsg_link_t * fsglink |
} | next |
struct fsg_pnode_s * | alloc_next
struct fsg_pnode_s * | sibling
int32 | logs2prob
fsg_pnode_ctxt_t | ctxt
uint16 | ci_ext
uint8 | ppos
uint8 | leaf
hmm_context_t * | ctx
hmm_t | hmm

## Detailed Description

Definition at line 79 of file fsg_lextree.h.

## Field Documentation

## alloc_next

struct fsg_pnode_s* fsg_pnode_s::alloc_next

Definition at line 97 of file fsg_lextree.h.

## ci_ext

uint16 fsg_pnode_s::ci_ext

Definition at line 128 of file fsg_lextree.h.

## ctx

hmm_context_t* fsg_pnode_s::ctx

Definition at line 133 of file fsg_lextree.h.

## ctxt

fsg_pnode_ctxt_t fsg_pnode_s::ctxt

Definition at line 126 of file fsg_lextree.h.

## fsglink

fsg_link_t* fsg_pnode_s::fsglink

Definition at line 89 of file fsg_lextree.h.

## hmm

hmm_t fsg_pnode_s::hmm

Definition at line 134 of file fsg_lextree.h.

## leaf

uint8 fsg_pnode_s::leaf

Definition at line 130 of file fsg_lextree.h.

## logs2prob

int32 fsg_pnode_s::logs2prob

Definition at line 112 of file fsg_lextree.h.

## ppos

uint8 fsg_pnode_s::ppos

Definition at line 129 of file fsg_lextree.h.

## sibling

struct fsg_pnode_s* fsg_pnode_s::sibling

Definition at line 103 of file fsg_lextree.h.

## succ

struct fsg_pnode_s* fsg_pnode_s::succ

Definition at line 88 of file fsg_lextree.h.

The documentation for this struct was generated from the following file:

- src/libpocketsphinx/fsg_lextree.h